AddPropertyTransformer (cglib (Version 2.2.2))
Keywords: net.sf.cglib.transform.impl.AddPropertyTransformer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.transform.impl
Class AddPropertyTransformer

    java.lang.Object
      org.objectweb.asm.ClassAdapter
          net.sf.cglib.core.ClassEmitter
              net.sf.cglib.transform.ClassEmitterTransformer
                  net.sf.cglib.transform.impl.AddPropertyTransformer

All Implemented Interfaces:
  ClassTransformer, org.objectweb.asm.ClassVisitor

    public class AddPropertyTransformer

extends ClassEmitterTransformer

Constructor Summary
`AddPropertyTransformer(java.util.Map props)`
`AddPropertyTransformer(java.lang.String[] names, org.objectweb.asm.Type[] types)`

Method Summary
`void` | `end_class()`

Methods inherited from class net.sf.cglib.core.ClassEmitter
`begin_class, begin_method, begin_static, declare_field, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

Methods inherited from class org.objectweb.asm.ClassAdapter
`visitAnnotation, visitAttribute, visitInnerClass, visitOuterClass, visitSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.cglib.transform.ClassTransformer
`setTarget`

Methods inherited from interface org.objectweb.asm.ClassVisitor
`visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

Constructor Detail

### AddPropertyTransformer

    public AddPropertyTransformer(java.util.Map props)

### AddPropertyTransformer

    public AddPropertyTransformer(java.lang.String[] names,
                                  org.objectweb.asm.Type[] types)

Method Detail

### end_class

    public void end_class()

  Overrides:
    `end_class` in class `ClassEmitter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation